Mac mini big disapointment

Discussion in 'Mac mini' started by Agnoslibertine, Nov 23, 2012.

  1. macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #1
    Okay, so for the last year I have been reading a lot about mac computers. Being a PC person as I have been for the last 15 years.

    Mostly I wanted a mac for video editing on Final cut pro.

    So today I went out and bought the new Mac mini (i7), and I got the overpriced mouse and keyboard. I got home really excited, I was finally gonna enjoy what I have been waiting for a long time.

    First off, I couldn't sync the wireless apple keyboard, but eventually got it to sync.

    But then to the big disapointment, every app I want to install, it needs me to update my os, which is 10.8.1.
    And I can't do just that. I have been reading that all mac mini 2012 users can't update from 10.8.1. So we can't install other apps.

    Now i'm sitting here all upset and and I can't even update anything. Is this just really unlucky or WHAT?

    Any way, now what? Just wait for apple to wake the hell up? Any bright ideas?
     
  2. macrumors 6502

    Joined:
    Jul 5, 2011
    Location:
    the corner of Fire and Brimstone
    #2
    Why can't you update to 10.8.2? It wasn't an issue for me:

    [​IMG]
     
  3. macrumors newbie

    Joined:
    Nov 18, 2012
    #3
    Just update your OS and everything will be fine, it is just a simple mouse click and easily done. I have a 2012 Mac Mini and had no problems whatsoever updating it.
     
  4. macrumors 68030

    Spink10

    Joined:
    Nov 3, 2011
    #4
    Several (google search it) have not been able to upgrade. Very strange.
     
  5. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #5
    congrats.. you must be one of the lucky few..

    this thread explains the problem:
    https://discussions.apple.com/thread/4514915?start=0&tstart=0

    something about a update batch that apple later removed.
    When I try to install any of the update files from apples homepage, it says that my computer is incompatable.

    I mean, I got a mac mini, that is a apple computer, and Apple tells me I can't update it because it isn't compatible. :( :(

    ----------

    im sorry that I sound so disapointed, i dont blame anybody on this forum. But I just feel so frustrated, I really wanted play around with my new mac this weekend.

    But I suppose instead of trying final cut pro I can play with iMovie instead.. How different can these programs be? :rolleyes:

    I guess I just want some sympathy, my wife has a mac air from last year, and she has no problems updating her computer. one would think that my I7 quad processor would whop that mac air, but no such luck. :)
     
  6. macrumors newbie

    Joined:
    Nov 18, 2012
    #6
    Strange... There where some issues with a fix Apple provided for 2012 Mac and removed this and (at least for me) reenabled it a couple of days ago. But this was not the "big" 8.2 update...

    What happens to me too is that I can not re-download ML from the App Store, it tells me that this version is not (yet) compatible with my 2012 Mac Mini. However that is no problem for me as my Mac is running happily with 10.8.2.

    Maybe you can try to do an Internet-Recovery of your System (=complete re-install) - look it up, it is something like booting you mac while holding cmd and r

    What I do not understand is why you can not install any apps with your 10.8.1?
    I was able to do this on my Macbook (and why shouldn't it work it is/was a legitime OS Version) and wait a bit until Apple sorts this out. Not much in 10.8.2. that I would really miss in 10.8.1, at least for a couple of weeks / days..
     
  7. macrumors newbie

    Joined:
    Nov 8, 2012
    #7
    I did a internet redownload yesterday and still sitting on 10.8.1 and no updates in App Store

    ----------

    Problem is that Aparture etc is requiring 10.8.2 update to work.
     
  8. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #8
    first of all:
    When I try the update file, offered on apple.com
    I get a message that I cannot install on any of my drives, as you can see.
    It says that non of the drives forfil the qualifications or something.
    (the language is swedish if you were curious)
    [​IMG]

    and here is a photo of the message I get when trying to install the Final cut pro trial app:
    [​IMG]
     
  9. macrumors member

    Joined:
    May 11, 2012
    Location:
    Boston, MA
    #9
    If you bought it at an Apple Store they are supposed to offer a free setup which if they uncovered this issue during setup would have swapped out the Mac Mini. Otherwise I would say just return it and get a new one. They are small so it shouldn't be an issue unless you live in the arctic tundra and combination snow shoe dog sled it 5 days and nights to the nearest Apple vendor. If that's the case then I agree!
     
  10. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #10
    here is my version (in swedish)
    [​IMG]

    ----------

    nah, I will just have to learn to live with just using apps like Iphoto, garageband and iMovie. :)

    lucky that I got the quad 4, its gonna come real handy for those apps.
     
  11. macrumors 6502

    Joined:
    Jul 5, 2011
    Location:
    the corner of Fire and Brimstone
    #11
    The build of the OS 10.8.1 that the 2012 Mini shipped with is different than that for other machines. There should be a unified OS, perhaps a supplemental or 10.8.3, that will be out relatively soon.

    It would be interesting if the 10.8.2 on the Apple Support site would work or not:
    http://support.apple.com/kb/DL1580

    I'd back up anything of value before running just to be safe. If it is not compatible it will usually not let you run the update, but better safe than sorry.
     
  12. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #12
    I'l try it. I think I allready have, but I will give it a go.
     
  13. macrumors newbie

    Joined:
    Nov 18, 2012
    #13
    @Agnoslibertine:
    Too bad :-( Of course I had my versions of Aperture etc. installed at the time 10.8.1 was the latest OS, so that would not help you now.

    Has anyone here done an internet install of Mac OS X on a 2012 Mac Mini lately? With a lot of luck they might already give you 10.8.2 there? Of course this would mean killing the current content and a lot of time with no guarantee that you will not end up again with 10.8.1

    As for the Apple Store: As fas as I know there are no "real" ones in Sweden (tried to help my Oncle who lives in Gotheburg buying a Mac - at the end we bought it from a big electronic retailer).

    So I can understand your frustration and you have my sympathy for what ever this helps you. And lets hope Apple will release a fix for this issue soon.
     
  14. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #14
    actually they recently opened a apple store near stockholm (the capital city of sweden), but I moved from stockholm a couple of years ago.

    ----------

    thoughts while waiting for a solution...

    It feels very different playing around in Mac os compared to windows 7.
    The CMD button takes some getting used to. But I love the shift, cmd, 4 option, where you can take a screen shot of just a fraction of the screen.

    The mac seems to work swell with my 27 inch HP screen. And I do like the magic mouse, but again, will take some getting use to.

    I just hope Apple will fix this annoying mac mini 2012 dilemma. hehe.. I just can't help but to smile when I think that all this time I have been dying to get my hands on final cut pro, and the only thing stopping me was not having a mac, and when I finally get one, Im still no able to get it. :confused:

    ----------

    nah, get this message when clicking on past the "confirm that I have read the legal stuff"
    [​IMG]
     
  15. macrumors member

    Joined:
    Nov 12, 2012
    #15
    Good grief, glad I got a used 2011 mini.
    I was going to get the new 2012. I feel for the OP, this really is unacceptable from apple. Hope they provide a fix soon.

    Between the HDMI issues and now the software issues, plus I've been reading some random reboot issues as well...I can't for the life on me figure out why apple released the 2012 mini like this. Certainly is not like apple to do so.

    I was actually thinking of upgrading to the new imac thats soon to be released. But I'm paranoid about quality issues with this as well...already they are having manufacturing delays. If they rush this to market, quality control will suffer. I might just go to the used market for last years imac.

    I love apple and have spent thousands on apple products, I just hope they fix some of these quality issues they are having.
     
  16. macrumors 65816

    Joined:
    Jul 26, 2011
    #16
    I don't understand the 10.8.2 dilemma... I got the same Mini from Apple as soon as it was released and the 10.8.2 download update went smoothly.

    Did some Minis ship with a different OS build?
     
  17. macrumors member

    Joined:
    Nov 12, 2012
    #17
    Yes, strange the OP got a new mini with 10.8.1...
     
  18. macrumors 6502

    Joined:
    Jul 5, 2011
    Location:
    the corner of Fire and Brimstone
    #18
    They shipped with 10.8.1, the update to 10.8.2 is apparently late-2012 specific and was posted and later removed. Patience will have to prevail until it's available again.
     
  19. macrumors regular

    Joined:
    Oct 24, 2011
    #19
    No great mystery. They all come with 10.8.1 (special build for the mini) and up until sometime last week you could download the 10.8.2 update either standalone of via software update.

    For reasons only known to Apple, they pulled it and have not restored it as of yet.

    If you try to do an internet restore you also get 10.8.1. Plus the 10.8.2 update that's still out there does not work.
     
  20. macrumors member

    Joined:
    Nov 12, 2012
    #20
    Thanks, did not know that. :)
     
  21. macrumors member

    Joined:
    Nov 9, 2012
    #21
    My Mini 2012 came with 10.8.2 preinstalled. I'm surprised some people still got the old version.

    There must be some older batches. Maybe that explains the HDMI issue too. My Mini is perfect in all aspects.
     
  22. macrumors 601

    BornAgainMac

    Joined:
    Feb 4, 2004
    Location:
    Florida Resident
    #22
    I have the same situation. My theory is that Apple will never deploy 10.8.2 for the 2012 Mac Mini and 10.8.3 will work when it eventually is available for all Macs.
     
  23. macrumors 6502

    Joined:
    Jul 5, 2011
    Location:
    the corner of Fire and Brimstone
    #23
    At one point they did, mine came loaded with 10.8.1. Curious that they have multiple versions of ML loaded. Even more curious that they had an update out for a few weeks and then pulled it.
     
  24. thread starter macrumors member

    Agnoslibertine

    Joined:
    Oct 5, 2011
    Location:
    Sweden
    #24
    at least the mini looks good...
     
  25. macrumors newbie

    Joined:
    Nov 7, 2012
    #25
    I feel bad for everyone having this issue. How frustrating this must be.
    Apple's desktops have turned into pears with a slight twist of lemon lately!
    I returned my mini 2012 due to the screen flickers. I just can't understand paying three times more than comparably spec'd competitors just to get something broken in the most dysfunctional ways.
    When their computers just work, people will pay top dollar. When they are plagued with issues, inside and out, then people start to look elsewhere.
    I got an new ipad instead (beautiful!)
    Sticking with hackintoshes for serious work until Apple gets its act together (see www.tonymacx86.com)
     

Share This Page